// deNetWinServer.h : main header file for the DENETWINSERVER application
//

#if !defined(AFX_DENETWINSERVER_H__BDE26055_A9A3_45F7_A338_A9E0E74CDF47__INCLUDED_)
#define AFX_DENETWINSERVER_H__BDE26055_A9A3_45F7_A338_A9E0E74CDF47__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "deNetWinMasterServer.hpp"

/////////////////////////////////////////////////////////////////////////////
// CDeNetWinServerApp:
// See deNetWinServer.cpp for the implementation of this class
//
class CDeNetWinServerApp : public CWinApp
{
public:
	CDeNetWinServerApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeNetWinServerApp)
	public:
	virtual BOOL InitApplication();
	virtual void OnFinalRelease();
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	deNetWinMasterServer *		GetServer( void )	{ return &m_Server; }
	deNetWinMasterServer		m_Server;	
	
public:
	//{{AFX_MSG(CDeNetWinServerApp)
	afx_msg void OnAppAbout();
	afx_msg void OnCreateServer();
	afx_msg void OnUpdateCreateServer(CCmdUI* pCmdUI);
	afx_msg void OnDisconnect();
	afx_msg void OnUpdateDisconnect(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DENETWINSERVER_H__BDE26055_A9A3_45F7_A338_A9E0E74CDF47__INCLUDED_)
